$!  FACILITY :
$!
$!	axpbuild.com
$!
$!  ABSTRACT :
$!
$!      This is a specific DCL command file to build Cword and its associated exes 
$!      using either the ANSI89 or VAXC /standard qualifiers of the DEC C compiler.
$!
$!  AUTHORS :	
$!
$!	James A. Lundon			
$!
$!  CREATION DATE :
$!
$!	8 July 1994
$!
$  if p1 .eqs. ""
$  then
$      write sys$output "@axpbuild [VAXC|ANSI89]"
$      exit
$  endif
$!
$!  ?? f$uppercase ??
$!
$  if ((p1 .nes. "VAXC") .and. (p1 .nes. "ANSI89"))
$  then
$     write sys$output "Please input either VAXC or ANSI to build Cword"
$     exit
$  endif
$!
$  set noverify
$  set noon
$!
$  SCC := $sql$pre/cc
$!
$!  Checking for existence of CWORD_DATABASE logical
$!
$  if (f$trnlnm ("CWORD_DATABASE") .eqs. "")
$  then
$      write sys$output "CWORD-E-NOLOGC, Cword database logical not defined."
$      write sys$output "CWORD-E-CREATE, Please create database before continuing with build."
$      exit
$  endif
$!
$!  ?? Standardise using logicals the compile parameters ??
$!
$ if p1 .eqs. "VAXC"
$ then
$  write sys$output "Building Cword with /standard=VAXC..."
$  write sys$output ""
$  write sys$output "Building print..."
$  cc/standard=vaxc/prefix=all print.c
$  write sys$output "Building grid..."
$  cc/standard=vaxc/prefix=all grid.c
$  write sys$output "Building memman..."
$  cc/standard=vaxc/prefix=all memman.c
$  write sys$output "Building messages..."
$  cc/standard=vaxc/prefix=all messages.c
$  write sys$output "Building main..."
$  cc/standard=vaxc/prefix=all main.c
$  write sys$output "Building stats..."
$  cc/standard=vaxc/prefix=all stats.c
$  write sys$output "Building verify..."
$  cc/standard=vaxc/prefix=all verify.c
$  write sys$output "Building charui..."
$  cc/standard=vaxc/prefix=all charui.c
$  write sys$output "Building webster..."
$  cc/standard=vaxc/prefix=all webster.c
$  write sys$output "Building anagram..."
$  cc/standard=vaxc/prefix=all anagram.c
$  write sys$output "Building defaults..."
$  cc/standard=vaxc/prefix=all defaults.c
$  write sys$output "Building generate..."
$  cc/standard=vaxc/prefix=all generate.c
$  write sys$output "Building word..."
$  cc/standard=vaxc/prefix=all word.c
$  write sys$output "Building utils..."
$  cc/standard=vaxc/prefix=all utils.c
$  write sys$output "Building fileio..."
$  cc/standard=vaxc/prefix=all fileio.c
$  write sys$output "Building match..."
$  cc/standard=vaxc/prefix=all match.c
$  write sys$output "Building soundex..."
$  cc/standard=vaxc/prefix=all soundex.c
$  write sys$output "Building clue..."
$  cc/standard=vaxc/prefix=all clue.c
$  write sys$output "Building seed..."
$  cc/standard=vaxc/prefix=all seed.c
$  write sys$output "Building breakdic..."
$  cc/standard=vaxc/prefix=all breakdic.c
$  write sys$output "Building cl..."
$  cc/standard=vaxc/prefix=all cl.c
$!
$!  To get the sources compiling using /standard=VAXC for 
$!  vms.c and rdb.sc
$!
$  write sys$output "Building vms..."
$  cc/standard=vaxc/prefix=all vms.c
$!
$!  Building the database interface module
$!
$  write sys$output "Building rdb..."
$  scc/standard=vaxc/prefix=all rdb.sc
$!
$  write sys$output "linking Cword..."
$  link/exe=cword.exe main, print, grid, memman, messages, stats, -
        verify, charui, anagram, defaults, generate, word, breakdic, -
        utils, fileio, match, soundex, clue, seed, vms, rdb, webster, cl, -
	sys$library:sql$user/lib
$ else
$  write sys$output "Building Cword with /standard=ANSI89 for the most part..."
$  write sys$output ""
$  write sys$output "You can safely ignore the %CC-I-IMPLICITFUNC messages"
$  write sys$output ""
$  write sys$output "Building print..."
$  cc/standard=ansi89/prefix=all print.c
$  write sys$output "Building grid..."
$  cc/standard=ansi89/prefix=all grid.c
$  write sys$output "Building memman..."
$  cc/standard=ansi89/prefix=all memman.c
$  write sys$output "Building messages..."
$  cc/standard=ansi89/prefix=all messages.c
$  write sys$output "Building main..."
$  cc/standard=ansi89/prefix=all main.c
$  write sys$output "Building stats..."
$  cc/standard=ansi89/prefix=all stats.c
$  write sys$output "Building verify..."
$  cc/standard=ansi89/prefix=all verify.c
$  write sys$output "Building charui..."
$  cc/standard=ansi89/prefix=all charui.c
$  write sys$output "Building anagram..."
$  cc/standard=ansi89/prefix=all anagram.c
$  write sys$output "Building defaults..."
$  cc/standard=ansi89/prefix=all defaults.c
$  write sys$output "Building generate..."
$  cc/standard=ansi89/prefix=all generate.c
$  write sys$output "Building word..."
$  cc/standard=ansi89/prefix=all word.c
$  write sys$output "Building utils..."
$  cc/standard=ansi89/prefix=all utils.c
$  write sys$output "Building fileio..."
$  cc/standard=ansi89/prefix=all fileio.c
$  write sys$output "Building match..."
$  cc/standard=ansi89/prefix=all match.c
$  write sys$output "Building soundex..."
$  cc/standard=ansi89/prefix=all soundex.c
$  write sys$output "Building clue..."
$  cc/standard=ansi89/prefix=all clue.c
$  write sys$output "Building seed..."
$  cc/standard=ansi89/prefix=all seed.c
$  write sys$output "Building breakdic..."
$  cc/standard=vaxc/prefix=all breakdic.c
$  write sys$output "Building cl..."
$  cc/standard=vaxc/prefix=all cl.c
$!
$!  To get the sources compiling using /standard=VAXC for 
$!  webster.c, vms.c and rdb.sc
$!
$  write sys$output "Building webster..."
$  cc/standard=vaxc/prefix=all webster.c
$  write sys$output "Building vms..."
$  cc/standard=vaxc/prefix=all vms.c
$!
$!  Building the database interface module
$!
$  write sys$output "Building rdb..."
$  scc/standard=vaxc/prefix=all rdb.sc
$!
$  write sys$output "Linking Cword..."
$  link/exe=cword.exe  main, print, grid, memman, messages, stats, -
        verify, charui, anagram, defaults, generate, word, breakdic, -
        utils, fileio, match, soundex, clue, seed, vms, rdb, webster, cl, -
	sys$library:sql$user/lib
$ endif
$!
$!  Building breakdic
$!
$  write sys$output "Building breakdic..."
$  cc/standard=ansi89/prefix=all /define=MAIN /onject=breakdic_main.obj breakdic.c
$  write sys$output "Linking breakdic..."
$  link/exe=breakdic.exe breakdic_main
$!
$  set on
$  exit
