$!  FACILITY :
$!
$!	cwordvtu.com
$!
$!  ABSTRACT :
$!
$!      DCL command file to copy Cword sources across onto 
$!      xagony::"/usr/users/eto3/jlundon/crosswrd/cword/risc"
$!
$!      Parameters:
$!
$!      p1	password of jlundon's account
$! 	p2	specification of files to be copied across
$!
$!  AUTHORS :	
$!
$!	James A. Lundon			
$!
$!  CREATION DATE :
$!
$!	15 December 1993
$!
$ start:
$     if (p1 .eqs. "") .or. (p2 .eqs. "") 
$     then
$         write sys$output "Usage: @cwordvtou <password> <files>
$ 	  exit
$     endif
$!
$!  Get password firstly
$!
$     pass   = f$edit (p1, "LOWERCASE")
$!
$!  Check for wildcards in the parameter p2
$!
$     wildcard = f$element (0,"*",p2)
$     if wildcard .eqs. "*"
$     then
$         files = f$edit (p2, "LOWERCASE")
$     else
$         files = f$fao ("!AS*", p2)
$     endif
$!
$     wo := write sys$output
$     wo "Copying ", files ," to Ultrix."
$     wo ""
$     no_files = 0
$!
$ files:
$!
$!  Lists all files in the current directory and then copies them one by one
$!
$     on error then error_message
$     temp_file = f$search ("[]''files'", 1) 
$     if (temp_file .eqs. "") then goto finish
$     file = f$parse (temp_file,,,"NAME",)+f$parse (temp_file,,,"TYPE",)
$     file_to_copy = f$edit (file, "LOWERCASE")
$     gosub copy_to_ultrix
$     write sys$output formatted_line
$     goto files
$!
$ copy_to_ultrix:
$!
$!  Routine which does the copying
$!
$     on error then goto finish
$     copy/nolog 'file_to_copy XAGONY"jlundon ''pass'"::"/usr/users/eto3/jlundon/crosswrd/cword/risc/''file_to_copy'"
$     if .not. ($STATUS) 
$     then 
$         formatted_line = f$fao ("!AS not copied successfully to Ultrix", file_to_copy)
$     else
$         no_files = no_files + 1
$         formatted_line = f$fao ("!AS copied successfully to Ultrix", file_to_copy)
$     endif
$     return
$!
$ error_message:
$!
$!  Simple error messaging
$!
$     formatted_line = f$fao ("Error copying !AS to Ultrix", file_to_copy)
$     write sys$output formatted_line 
$!
$     exit
$!
$ finish:
$!
$!  Simple exit routine
$!
$     formatted_line = f$fao ("!SL files copied", no_files)
$     write sys$output ""
$     write sys$output formatted_line
$     write sys$output ""
$!
$     exit
