#ifndef CWORD_DEFAULTS_LOADED
#define CWORD_DEFAULTS_LOADED 1

#include "main.h"

/*
 *  The defaults file specification should match the application being run
 */

#define CWORD_DEFAULTS_FILENAME	    "cword.ini"

#define CROSSWORD_NAME		    "tmp_word"

#define GRID_NAME		    "tmp_grid"

#define XWEBSTER_IP_ADDR	    "16.1.16.1"  

#define CWORD_LOG_FILE_PREFIX	    "cword"

#define CWORD_DEFAULT_USERNAME	    "None provided"

/*
 *  Stab in the dark as to the software port to connect to - 99.9% likely to be
 *  completely wrong.
 */

#define XWEBSTER_PORT		    10000

#define NORMAL_GRID_DIMS	    15

#define CWORD_SIZEOF_MAX_INT_VAL    30000			    

#define CWORD_SIZEOF_DEF_WGHT_ALGO  1

#define CWORD_SIZEOF_MIN_LIGHT	    3

#define CWORD_SIZEOF_MAX_LIGHT_ITER 5000



typedef struct 
{
    int		x_dimensions;
    int		y_dimensions;
    int		symmetry_type;
    int		symmetry_check;
    int		unches_check;
    int		smallest_allowable_light;
    int		automatic_light_generation;
    int		soundex_algorithm;
    long	words_per_dot;
    int		write_log_file;
    long	max_light_choices;
    int		light_generation_algorithm;
    BOOLEAN	check_spelling;
    int		trace_level;
    long	max_matches;
    long	max_light_iterations;
    int		letter_weight_algorithm;
    int		nextlight_select_algorithm;
    int         fill_from_where;
    int		reset_after_num_iterations;
    int		webster_server_port;
    BOOLEAN     ring_bell;

    BOOLEAN	word_file_access[CWORD_SIZEOF_WORD + 1];

    char	defaults_file_spec[CWORD_SIZEOF_FILESPEC + 1];
    char	temp_grid_name[CWORD_SIZEOF_FILESPEC + 1];
    char	temp_crossword_name[CWORD_SIZEOF_FILESPEC + 1];

    CWORD_T_STR_LL *word_file_prefix_list;

    char	webster_server_name[CWORD_SIZEOF_LINE + 1];
    char	log_file_prefix[CWORD_SIZEOF_FILESPEC + 1];
    char	username[CWORD_SIZEOF_FILESPEC + 1];
} CWORD_G_DEFAULTS_RECORD;



/*
 *  PUBLIC function prototypes.
 */

PUBLIC void cword_defaults_init_defaults ();

PUBLIC void cword_defaults_output_defaults ();

PUBLIC int cword_defaults_read_defaults ();

PUBLIC void cword_defaults_free_defaults ();

#endif
