/*
 *++
 *  FACILITY:
 *
 *      dos.c
 *
 *  ABSTRACT:
 *
 *      DOS specific functionality for Cword application.
 *
 *  AUTHORS:
 *
 *      James A. Lundon
 *
 *  CREATION DATE:
 *
 *      9 July 1993
 *--
 */

#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <errno.h>
#include <string.h>
#include <ctype.h>

#include <io.h>
#include <dos.h>
#include <direct.h>
#include <sys\types.h>
#include <sys\stat.h>
#include <malloc.h>
#include <time.h>

/*
 *  ?? Header file name clash possible ??
 */

#include "dos.h"
#include "main.h"
#include "messages.h"
#include "memman.h"
#include "strll.h"



/*
 *  ?? Obsolete ?? 
 */

PUBLIC int cword_dos_file_exists (
	char		    *file_spec)

/*
 *++
 *  FUNCTIONAL DESCRIPTION:
 *
 *      [@tbs@]
 *
 *  FORMAL PARAMETERS:
 *
 *      [@description or none@]
 *
 *  IMPLICIT INPUTS:
 *
 *      [@description or none@]
 *
 *  IMPLICIT OUTPUTS:
 *
 *      [@description or none@]
 *
 *  {@function value or completion codes@}
 *
 *      [@description or none@]
 *--
 */

{

    printf ("## Function not implemented\n");

    printf ("## Filename is %s\n", file_spec);

    return (CWORD_S_NORMAL);

}



PUBLIC int cword_dos_list_files (
	char		    *directory,
	char		    *file_spec,
	CWORD_T_STR_LL	    **file_ll)

/*
 *++
 *  FUNCTIONAL DESCRIPTION:
 *
 *      [@tbs@]
 *
 *  FORMAL PARAMETERS:
 *
 *      [@description or none@]
 *
 *  IMPLICIT INPUTS:
 *
 *      [@description or none@]
 *
 *  IMPLICIT OUTPUTS:
 *
 *      [@description or none@]
 *
 *  {@function value or completion codes@}
 *
 *      [@description or none@]
 *--
 */
 
{

    struct find_t files;

    unsigned int status;

    *file_ll = (CWORD_T_STR_LL *) 0;

    printf (
	"## Directory is \"%s\" and file are \"%s\"\n",
	directory,
	file_spec);

    /*
     *  ?? Function may change with different compiler - really not sure ?? 
     */

    status =  _dos_findfirst(
		    file_spec,
		    _A_NORMAL,
		    &files);

    while (0 == status)
    {
	cword_strll_add_str (
	    SORTED | UNIQUE,
	    files.name,
	    file_ll);

	if (*file_ll == (CWORD_T_STR_LL *) 0)
	{
	    return (CWORD_S_FAILURE);
	}

        /*
         *  ?? Function may change with different compiler - really not sure ?? 
         */

	status = _dos_findnext (&files);
    }

    return (CWORD_S_NORMAL);

}



PUBLIC int cword_dos_get_time (
	char		    *time_string)

/*
 *++
 *  FUNCTIONAL DESCRIPTION:
 *
 *      [@tbs@]
 *
 *  FORMAL PARAMETERS:
 *
 *      [@description or none@]
 *
 *  IMPLICIT INPUTS:
 *
 *      [@description or none@]
 *
 *  IMPLICIT OUTPUTS:
 *
 *      [@description or none@]
 *
 *  {@function value or completion codes@}
 *
 *      [@description or none@]
 *--
 */

{

    /*
     *  Different time functions depending on the compiler used.
     */

    /*
     *  ?? What about the time/ctime/asctime RTL functions ??
     */

#ifdef __MSDOS__

    /*
     *  Borland C++ 3.0 implementation
     */

    /*
     *  ?? Return value ??
     */

    struct time real_time;

    struct date real_date;

    getdate (&real_date);

    gettime (&real_time);

    /*
     *	?? Could be better implementation possible to output date in similar
     *	format as __TIME__ ??
     */

    sprintf (
	time_string,
	"%02d:%02d:%02d.%02d - %02d-%02d-%04d",
	real_time.ti_hour,
	real_time.ti_min,
	real_time.ti_sec,
	real_time.ti_hund,
	real_date.da_day,
	real_date.da_mon,
	real_date.da_year);
	
#endif

#ifdef MSDOS

    /*
     *  Visual C++ implementation
     */

    /*
     *  ?? Return values ??
     */

    time_t real_time;
    
    char *time_ptr;
    
    time (&real_time);
    
    time_ptr = ctime (&real_time);

    strcpy (time_string, time_ptr);

    time_string[strlen(time_string)-1] = (char) 0;

    free (time_ptr);    

#endif

    return (CWORD_S_NORMAL);

}



PUBLIC int cword_dos_clear_screen ()

{

    /*
     *  void function
     */

#if !defined (_WINDOWS)

    system ("CLS");

#else

    /*
     *  ?? What to do to clear a Quickwin
     */

    cword_messages_output_message (CWORD_S_NOTYETIMPLEMENT, SCREEN0);

#endif
    
    return (CWORD_S_NORMAL);

}
