$!  FACILITY :
$!
$!	makedb.com
$!
$!  ABSTRACT :
$!
$!	DCL command file to create Cword Rdb database using interactive SQL.
$!
$!	Note: This file will only work with versions of DEC/Oracle Rdb greater 
$!      than 4.0!
$!
$!  AUTHORS :	
$!
$!	James A. Lundon.
$!
$!  CREATION DATE :
$!
$!	30 Nov 1992.
$!
$  on control_y then exit 5
$  on control_c then exit 5
$  on error then goto makedb_error
$!
$  wo :== "write sys$output"
$!
$  wo ""
$  wo "    This command file creates the Cword Rdb database pointed to by"
$  wo "    the logical CWORD_DATABASE.  If CWORD_DATABASE isn't defined,"
$  wo "    this command file will exit immediately and will not execute"
$  wo "    successfully until a valid file specification is defined."
$  wo ""
$  wo "    ** Only use this file with versions of Rdb greater than 4.0 **"
$  wo ""
$!
$  inquire temp "press RETURN to continue"
$  wo ""
$!
$!  Checks the logical CWORD_DATABASE
$!
$  crossword_name = f$trnlnm ("CWORD_DATABASE")
$  if (crossword_name .eqs. "") 
$  then
$      wo ""
$      wo "%DBFILE-E-NOTFND The logical CWORD_DATABASE is not defined - exitting"
$      wo ""
$      exit
$  endif
$!
$!  Deassigning SQLINI in case it's defined by the user.
$!
$  if (f$trnlnm ("sqlini") .nes. "")
$  then
$      wo "%DBFILE-W-SQLIN, Deassigning SQLINI before continuing"
$      deassign sqlini
$  endif
$!
$  wo ""
$  wo "                Logical CWORD_DATABASE defined"
$  wo "             Database creation routine can proceed"
$  wo ""
$!
$  SQL = "$SQL$"
$!
$!  Assign SQLINI to a file which is then filtered into SQL to create the 
$!  database.
$!
$  if f$search("makedb.sql") .eqs. ""
$  then
$      wo "    Error finding makedb.sql - cannot continue with DB schema creation"
$      wo ""
$      exit
$  endif
$  assign makedb.sql sqlini
$  SQL
$!
$!  Deassign SQLINI when finished creating the database.
$!
$  deassign sqlini
$!
$  wo ""
$  wo "                 Database successfully created"
$  wo ""
$!
$!  Exitting successfully.
$!
$  exit
$!
$makedb_error:
$!
$  deassign sys$input
$  wo ""
$  wo "              Error recorded during database create"
$  wo ""
$!
$!  Exitting *un*successfully.
$!
$  exit 5
