#ifndef CWORD_MATCH_LOADED
#define CWORD_MATCH_LOADED 1

#include "main.h"

/*
 *  Some shorthand macros which help reduce the amount of repetition in the
 *  code below.
 */

#define CWORD_MATCH_WORD_COUNT_CHECK(word_count) \
		if (word_count == cword_g_defaults_record.max_matches) \
		{ \
		    cword_messages_output_message ( \
			    CWORD_WAITINGENDED, \
			    SCREEN0); \
		    cword_messages_output_message ( \
			    CWORD_CLOCKAFTER, \
			    TRACE2, \
			    clock ()); \
		    cword_messages_output_message ( \
			    CWORD_MAXMATCHFOUND, \
			    (SCREEN0 | TRACE2)); \
		    return (CWORD_S_NORMAL); \
		}

#define CWORD_MATCH_WAIT_AND_CLOCK \
		    cword_messages_output_message ( \
			    CWORD_WAITINGENDED, \
			    SCREEN0); \
		    cword_messages_output_message ( \
			    CWORD_CLOCKAFTER, \
			    TRACE2, \
			    clock ());

#define RESET		-1

PUBLIC int cword_match_get_min_size (
	char			*check_str);

PUBLIC int cword_match_get_max_size (
	char			*check_str);

PUBLIC int cword_match_generic_read_func (
	int			(*compare_function) (char *, char *),
	int			msg_id,
	char			*check_str,
	CWORD_T_STR_LL		**str_ll);

PUBLIC int cword_match_spell_check (
	char			*match_str);

PUBLIC int cword_match_template_list (
	char			*search_str,
	CWORD_T_STR_LL		**str_ll);

PUBLIC int cword_match_read_word_files (
	int			min_size,
	int			max_size,
	char			*word_str);

PUBLIC int cword_match_read_word_file (
	BOOLEAN			word_file_msg,
	int			word_length,
	char			*dict_word);

PUBLIC int cword_match_find_intersects (
	char			*string1,
	char			*string2,
	CWORD_T_STR_LL		**double_list);

PUBLIC BOOLEAN cword_match_get_word_file_name (
	int			wordfile_size,
	char			*word_spec);

PUBLIC int cword_match_verify_file_prefix (
	char			*file_prefix_str);

PUBLIC int cword_match_add_word_to_file (
	char			*word_str);

PUBLIC int cword_match_update_word_file (
	char			*word_str,
	char			*word_file_str);

#endif
