$!
$!  FACILITY :
$!
$!      ml_cword.com (or mail_cword.com)
$!
$!  ABSTRACT :
$!
$!      DCL command file to the mail Cword kit to user defined in p1.
$!      It can handle a variable number of input compressed/gzip
$!      Cword files.
$!
$!  AUTHORS :
$!
$!      James A. Lundon
$!
$!  CREATION DATE :
$!
$!      10 May 1994
$!
$  on error then goto error_ml_cword
$  on control then goto error_ml_cword
$!
$!  ?? final_dir ??
$!
$  if (p1 .eqs. "")
$  then
$      write sys$output "Usage: @mail_cword [nameofuser]"
$      exit
$  endif
$  write sys$output "CWORD-I-MAILTO, Mailing Cword to: ", p1
$!
$!  Don't check format of E-mail address - allow both DECnet or IP as 
$!  a result.
$!
$  inquire compression "Select mail type [1. compress - 2. gzip] [1]"
$!
$  if (compression .eqs. "2")
$  then
$      write sys$output "CWORD-I-FORMAT, Using **gzip** format to mail files"
$      cword_src_type = "[.FINAL]0*.GZ-UUE"
$      cword_grd_type = "[.FINAL]GRDSXRDS.GZ-UUE"
$      compress_type = "gzipped"
$  else
$      write sys$output "CWORD-I-FORMAT, Using **compress** format to mail files"
$      cword_src_type = "[.FINAL]0*.Z-UUE"
$      cword_grd_type = "[.FINAL]GRDSXRDS.Z-UUE"
$      compress_type = "compressed"
$  endif
$!
$  num_files = 0
$!
$ list_files:
$!
$  file = f$search ("''cword_src_type'",1)
$  if (file .eqs. "") then goto check_files
$  num_files = num_files + 1
$  goto list_files
$!
$ check_files:
$!
$  if (num_files .eq. 0)
$  then
$      write sys$output " "
$      write sys$output "CWORD-E-FILENF, No files found for mailing - cannot continue"
$      write sys$output " "
$      exit
$  endif
$  write sys$output "CWORD-I-FILESF, Number of files found to mail: ", num_files + 1
$!
$  index = 0
$!
$ mail_cword:
$!
$  file = f$search ("''cword_src_type'",1)
$  if (file .eqs. "") then goto mail_grdsxrds
$  index = index + 1
$!
$  mail/noself 'file VBORMC::"""''p1'""" -
       /subj="Tarred ''compress_type' uuencoded Cword sources - part ''index of ''num_files'"
$  write sys$output "CWORD-I-MAILPT, Mailed part ", index ," of Cword"
$  goto mail_cword
$!
$ mail_grdsxrds:
$!
$  mail/noself 'cword_grd_type VBORMC::"""''p1'""" -
       /subj="Tarred ''compress_type' uuencoded Cword grd/xrd files - part 1 of 1"
$ write sys$output "CWORD-I-MAILPT, Mailed grds/xrds"
$!
$!  Add timestamp/username and send resulting mail to myself.
$!
$  time = f$cvtime()
$  mail nl: me/subj="User: ''p1' received Cword at: ''time'"
$  write sys$output "CWORD-S-NORMAL, Successful mailing Cword to: ", p1
$!
$  exit
$!
$ error_ml_cword:
$!
$  write sys$output "CWORD-E-ERRORD, Error mailing Cword to: ", p1
$  exit 5
