#ifndef CWORD_OS_LOADED
#define CWORD_OS_LOADED 1

/*
 *  This will direct the Cword application to execute the correct version of
 *  the OS functions for the platform on which the application is currently
 *  running.
 */

#define CWORD_OS_C_FILE_DOT_STR "."
#define CWORD_OS_C_FILE_DOT_CH  '.'

#if defined(VMS) || defined(__VMS)

#include "vms.h"

#define POSTSCRIPT_PRINTER	"imps$ps"
#define TEXT_PRINTER		"imps$ansi"

/*
 *  ?? ...FILE_EXISTS needed - doesn't access do the same thing ??
 */

#define CWORD_OS_FILE_EXISTS	cword_vms_file_exists
#define CWORD_OS_LIST_FILES	cword_vms_list_files
#define CWORD_OS_GET_TIME 	cword_vms_get_time
#define CWORD_OS_CLEAR_SCREEN	cword_vms_clear_screen

#endif

#if defined(__unix) || defined(__unix__)

#include "unix.h"

#define CWORD_OS_FILE_EXISTS	cword_unix_file_exists
#define CWORD_OS_LIST_FILES	cword_unix_list_files
#define CWORD_OS_GET_TIME 	cword_unix_get_time
#define CWORD_OS_CLEAR_SCREEN	cword_unix_clear_screen

#endif

#if defined(__MSDOS__) || defined(MSDOS)

/*
 *  ?? Possible function naming problem ??
 */

#include "dos.h"

#define CWORD_OS_FILE_EXISTS	cword_dos_file_exists
#define CWORD_OS_LIST_FILES	cword_dos_list_files
#define CWORD_OS_GET_TIME 	cword_dos_get_time
#define CWORD_OS_CLEAR_SCREEN	cword_dos_clear_screen

#endif

#endif
