$!  FACILITY :
$!
$!	ownsetup.com
$!
$!  ABSTRACT :
$!
$!      Used to set up CWORD envinorment on OpenVMS/VAX.
$!
$!  AUTHORS :	
$!
$!	James A. Lundon			
$!
$!  CREATION DATE :
$!
$!	15 July 1994
$!
$  if (f$trnlnm("cword$root") .eqs. "")
$  then
$      write sys$output "CWORD-I-CWROOT, Defining CWORD$ROOT"
$      define/nolog/trans=conceal cword$root -
                                  login$root:[CROSSWRD.CWORD.]
$  endif
$!
$!  Define the CWORD_DATABASE database logical.
$!
$  define/nolog cword_database cword$root:[DATABASE]CWORD_DB
$!
$!  Define some misc. logicals to CMS and SCA libraries.
$!
$  define/nolog cword_cms_sources cword$root:[CMSLIBS.SOURCES]
$  define/nolog cword_cms_misc 	  cword$root:[CMSLIBS.MISC]
$  define/nolog cword_cms_xrd 	  cword$root:[CMSLIBS.XRD]
$  define/nolog cword_cms_grd 	  cword$root:[CMSLIBS.GRD]
$  define/nolog cword_cms_docs 	  cword$root:[CMSLIBS.DOCS]
$  define/nolog cword_cms_tools	  cword$root:[CMSLIBS.TOOLS]
$!
$  define/nolog cword_sources  cword$root:[CMSREFER.SOURCES]
$  define/nolog cword_grdsxrds cword$root:[CMSREFER.GRDSXRDS]
$  define/nolog cword_tools    cword$root:[CMSREFER.TOOLS]
$!
$  define/nolog cword_sca_lib  cword$root:[SCA_LIBRARY]
$!
$!  Set the CMS/SCA libraries to be used with LSE in development.
$!
$  write sys$output "CWORD-I-SETCMS, Setting up _sources_ CMS libraries"
$  cms set lib/noverify/nolog -
 		cword_cms_sources, -
    		cword_cms_misc, -
		cword_cms_xrd, -
		cword_cms_grd, -
    		cword_cms_docs
$!
$  sca set library/nolog cword_sca_lib
$!
$!  Setting up the CMS sources/objects/executables directories.
$!
$  if (p1 .nes. "")
$  then
$      write sys$output "CWORD-W-WRIREF, Accessing only reference directory for sources"
$      define/nolog cword_s cword_sources
$  else
$      define/nolog cword_s cword$root:[000000], cword_sources
$  endif
$!
$  define/nolog cword_t cword_tools
$!
$!  All exes are written firstly to cword$root:[000000] and then 
$!  cword$root:[exe] if the first location isn't defined
$! 
$  if (p1 .nes. "")
$  then
$      write sys$output "CWORD-W-WRIREF, Accessing only exes directory for executables"
$      define/nolog cword_e cword$root:[exe]
$  else
$      define/nolog cword_e cword$root:[000000], cword$root:[exe]
$  endif
$!
$!  Logical to take in all reference directory locations.
$!
$  define/nolog cword_a  cword_sources, cword_grdsxrds, cword_tools
$!
$!  *All* objects are read/written from/to cword$root:[obj]
$!
$  define/nolog cword_o cword$root:[obj], -
    			cword$root:[000000]
$!
$!  Symbol for building target of crossword application.
$!
$  build :== mms/desc=cword_tools:vmsbuild.mms
$  make :== mms/desc=cword_tools:vmsbuild.mms
$!
$!  Used to count the running number of lines in the application 
$!  omitting the tools reference directory.
$!
$  cwordline :== search/stat cword_sources:*.*, -
                             cword_grdsxrds:*.*, -
    			     cword_tools:*.*  "qw"
$!
$!  Misc. CMS utilities.
$!
$  cwordhack :== @cword_tools:cwordhck.com
$  cwordlink :== @cword_tools:cwordlnk.com
$  cwordvtou :== @cword_tools:cwordvtu.com
$  cmsdiff   :== @cword_tools:cmsdiff.com
$!
$  cwordbatch :== @cword_tools:vmsbatch.com
$  cwordspawn :== @cword_tools:vmsspawn.com
$!
$  sources :== cms set lib/noverify/nolog -
                cword_cms_sources, cword_cms_misc, cword_cms_xrd, -
                cword_cms_grd, cword_cms_docs
$  tools :== cms set lib/noverify/nolog cword_cms_tools
$!
$!  Program to change files containing tabs to spaces.
$!
$  tabs_to_spaces :== $cword_e:tabtospc.exe
$!
$!  Define the compiler logicals used during the search for user 
$!  defined header files.
$!
$!  This logical can confuse DEC C/VAX C, thus I was advised to...
$!
$!  define/nolog vaxc$include  cword_s, sys$library	! #include <file.h>
$!
$  define/nolog c$include  cword_s, sys$library	! #include "file.h"
$  define/nolog decc$user_include cword_s, sys$library	! #include "file.h"
$!
$!  Used for compiling certain sources in VAX C e.g. webster.c.
$!
$  define/nolog SYS SYS$LIBRARY
$  define/nolog NETINET SYS$LIBRARY 
$!
$!  Setting up misc. symbols for test harness execution.
$!
$  prnt		:== $cword_e:print_test ! clashes with print symbol
$  grid		:== $cword_e:grid_test
$  rdb		:== $cword_e:rdb_test
$  memman	:== $cword_e:memman_test
$  io		:== $cword_e:io_test
$  utils	:== $cword_e:utils_test
$  messages	:== $cword_e:messages_test
$  verify	:== $cword_e:verify_test
$  stats	:== $cword_e:stats_test
$  match	:== $cword_e:match_test
$  soundex	:== $cword_e:soundex_test
$  vms		:== $cword_e:vms_test
$  charui	:== $cword_e:charui_test
$  webster	:== $cword_e:webster_test
$  anagrm	:== $cword_e:anagram_test ! clashes with existing symbol
$  breakdic	:== $cword_e:breakdic
$  cleanup      :== $cword_e:cleanup
$!
$  prnt_d	:== $cword_e:print_test_d ! clashes with print symbol
$  grid_d	:== $cword_e:grid_test_d
$  rdb_d	:== $cword_e:rdb_test_d
$  memman_d	:== $cword_e:memman_test_d
$  io_d		:== $cword_e:io_test_d
$  utils_d	:== $cword_e:utils_test_d
$  messages_d	:== $cword_e:messages_test_d
$  verify_d	:== $cword_e:verify_test_d
$  stats_d	:== $cword_e:stats_test_d
$  match_d	:== $cword_e:match_test_d
$  soundex_d	:== $cword_e:soundex_test_d
$  vms_d	:== $cword_e:vms_test_d
$  charui_d	:== $cword_e:charui_test_d
$  webster_d	:== $cword_e:webster_test_d
$  anagrm_d	:== $cword_e:anagram_test_d ! clashes with existing symbol
$  breakdic_d	:== $cword_e:breakdic_d
$  cleanup      :== $cword_e:cleanup_d
$!
$  grid_fakevm_d:== $cword_s:grid_test_fakevm_d
$!
$!  SQL setup file.
$!
$  define/nolog SQLINI cword_tools:startsql.ini
$!
$!  Setting up OpenVMS Rdb 6.0.
$!
$  @sys$share:rdbvms_setver 6.0
$  write sys$output "CWORD-I-USERDB, Using SQL$PRE60"
$  scc :== $sys$system:sql$pre60/cc
$!
$!  Exit when all is completed.
$!
$  exit
