#ifndef CWORD_RDB_LOADED
#define CWORD_RDB_LOADED 1

#ifdef DB

/*
 *  ?? Possible fall-through if DB is defined and the OS Cword is being
 *  compiled on is not VMS or OSF/1 - cannot compile if this is the case as
 *  main.c will report an compiler error: CWORD_RDB_C_DB_BUILT not found ??
 */

/*
 *  These function prototypes should be seen only on OpenVMS/VAX, OpenVMS/Alpha
 *  and OSF/1 (soon to be Digital unix).
 */

#if defined(VMS) || defined(__VMS) || defined(__osf__)

#include "main.h"

/*
 *  This definition is used to tell user that the rdb functionality is not
 *  enabled.
 */

#define CWORD_RDB_C_DB_BUILT	1

PUBLIC void cword_rdb_close_db ();

PUBLIC int cword_rdb_match_template_ll (
	char			*search_str,
	CWORD_T_STR_LL		**word_ll);

/*
 *  Crossword functions.
 */

PUBLIC int cword_rdb_add_xrd (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_rdb_get_xrd (
	char			*xrd_name_str,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_rdb_delete_xrd (
	char			*xrd_name_str);

PUBLIC int cword_rdb_get_xrd_ll (
	CWORD_T_STR_LL		**xrd_ll);

/*
 *  Grid definitions.
 */

PUBLIC int cword_rdb_add_grd (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_rdb_get_grd (
	char			*grd_name_str,
	CROSSWORD_RECORD	*crossword_record);

PUBLIC int cword_rdb_delete_grd (
	char			*grd_name_str);

PUBLIC int cword_rdb_get_grd_ll (
	CWORD_T_STR_LL		**grd_ll);

/*
 *  Clue definition functions.
 */

PUBLIC int cword_rdb_add_clue (
	char			*light_str,
	char			*clue_str);

PUBLIC int cword_rdb_get_clue (
	char			*light_str,
	char			*clue_str);

PUBLIC int cword_rdb_delete_clue (
	char			*light_str);

PUBLIC BOOLEAN cword_rdb_is_clue_defined (
	char			*light_str,
	char			*clue_str);

/*
 *  ?? Anagram/Homophone/Synonym Add/Delete/Fetch ??
 */

PUBLIC int cword_rdb_add_anagram (
	char			*anagram_str);

PUBLIC int cword_rdb_delete_anagram (
	char			*anagram_str);

PUBLIC int cword_rdb_get_anagram_ll (
	CWORD_T_STR_LL		**anagram_ll);

PUBLIC int cword_rdb_add_homophone (
	char			*indicator_str,
	char			*description_str);

PUBLIC int cword_rdb_delete_homophone (
	char			*homophone_str);

PUBLIC int cword_rdb_get_homophone_ll (
	CWORD_T_STR_LL		**homophone_ll);

PUBLIC int cword_rdb_add_synonym (
	char			*indicator,
	char			*description);

PUBLIC int cword_rdb_delete_synonym (
	char			*indicator,
	char			*description);

PUBLIC int cword_rdb_get_synonym_ll (
	CWORD_T_STR_LL		**synonym_ll);

/*
 *  ?? How to handle this optimally ??
 */

PUBLIC int cword_rdb_fetch_synonym (
	char			*indicator,
	char			*description);

PUBLIC int cword_rdb_fetch_synonym_ll (
	char			*indicator,
	char			*description);

#endif

#else

/*
 *  This definition is used to tell user that the rdb functionality is not
 *  enabled.
 */

#define CWORD_RDB_C_DB_BUILT	0

#endif

#endif
