#ifndef CWORD_UTILS_LOADED
#define CWORD_UTILS_LOADED 1

/*
 *  Have to include this header to resolve va_list.
 */

#include <stdarg.h>

#include "print.h"
#include "grid.h"
#include "main.h"

/*
 *  typedef the references to the trace file opening/reading/close functions.
 */

#define OPEN_TRACE	    cword_utils_open_trace_file
#define WRITE_TRACE	    cword_utils_write_trace
#define WRITE_TRACE_VARARGS cword_utils_write_trace_varags
#define CLOSE_TRACE         cword_utils_close_trace_file

#define DEBUG_TRACE         cword_utils_debug_output

#define ENABLE	    1
#define DISABLE	    2

/*
 *  ?? Maybe re-locate to a more top level header file ??
 */

typedef struct my_div
{
    long quot;
    long rem;
} MY_DIV;

/*
 *  PUBLIC forward function prototypes.
 */

PUBLIC int cword_utils_trim_filespec (
	char			*filespec);

PUBLIC int cword_utils_trim_string (
	char			*trim_str);

PUBLIC int cword_utils_is_file_ok (
	int			read_or_write,
	char			*file_suffix,
	char			*file_spec);

PUBLIC long cword_utils_get_random_number ();

PUBLIC int cword_utils_complete_definition (
	CROSSWORD_RECORD	*crossword_record);

PUBLIC void cword_utils_sort_crossword (
	CROSSWORD_RECORD	*crossword_record);

/*
 *  Trace file functionality
 */

PUBLIC int cword_utils_open_trace_file (
	char			*trace_file_name);

PUBLIC int cword_utils_write_trace (
	char			*trace_output,
	...);

PUBLIC int cword_utils_write_trace_varargs (
	char			*trace_str,
	va_list			args);

PUBLIC void cword_utils_close_trace_file ();

PUBLIC int cword_utils_debug_output (
	char			*debug_str,
	...);

PUBLIC int cword_utils_manage_sigint (
	int			sigint_val);

#if defined(VMS) || defined(__VMS)

/*
 *  Prototype different on OpenVMS/VAX only
 */

PUBLIC void cword_utils_grab_signal (
	int			signal_no,
    	...);

#else

PUBLIC void cword_utils_grab_signal (
	int			signal_no);

#endif

PUBLIC MY_DIV cword_utils_div (
	long			numer,
	long			denom);

PUBLIC int cword_utils_is_filename_legal (
	char			*legalfile_str);

PUBLIC void cword_utils_sleep_for (
	unsigned int		time_val);

PUBLIC BOOLEAN cword_utils_remove_file (
	char			*file_str);

PUBLIC BOOLEAN cword_utils_rename_file (
	char			*from_str,
	char			*to_str);

PUBLIC BOOLEAN cword_utils_does_file_exist (
	char			*file_str);

#endif
