$!  FACILITY :
$!
$!	vmssetup.com
$!
$!  ABSTRACT :
$!
$!      This is the generic DCL command file which sets up the logicals/
$!      symbols needed to run Cword on either OpenVMS/VAX or OpenVMS/AXP.
$!
$!  AUTHORS :	
$!
$!	James A. Lundon			
$!
$!  CREATION DATE :
$!
$!	15 July 1994
$!
$!  Main root logical on which everything hangs from.
$!
$!  This concealed logical has to be in the form DISK$TYPE:[DIRECTORY.CWORD.] 
$!  with no logicals being contained in the associated equivalence name itself.
$!
$!  On my local system cword$root is: DSA10:[USER.JLUNDON.CWORD.]
$!
$!  ?? Construct the concealed logical from the specification 
$!  of the directory from which this file is being executed ??
$!
$  define/job/nolog/translation=(concealed,terminal) -
       cword$root    	NOT_SET ! ***** User definition necessary *****
$!
$!  Check was Cword$root set - very unsubtle but it should work OK.
$!
$  if (f$trnlnm ("cword$root") .eqs. "NOT_SET")
$  then
$      write sys$output "CWORD-E-SETROOT, Please define cword$root in VMSSETUP.COM before continuing"
$      exit 5 ! Unsuccessful
$  else
$      write sys$output "CWORD-W-ISROOT, cword$root defined as : ", f$trnlnm ("cword$root"), " in VMSSETUP.COM"
$      inquire is_cword_root "Is this logical correct (Y/N) [Y] "
$!
$      if (f$edit (is_cword_root, "UPCASE")) .eqs. "N")
$      then
$          write sys$output "CWORD-I-DEFINE, Please redefine cword$root in VMSSETUP.COM before continuing"
$          exit 5 ! Unsuccessful
$      endif
$  endif
$!
$!  ?? process or job wide logical ??
$!
$!  Set up the cword_s, cword_o, and cword_e logicals.
$!
$  define/job/nolog cword_s cword$root:[000000]
$  define/job/nolog cword_o cword$root:[000000]
$  define/job/nolog cword_e cword$root:[exes]
$!
$!  Cword database logical.
$!
$  define/job/nolog cword_database	cword$root:[DATABASE]CWORD_DB
$!
$!  Set up the foreign commands for the Cword related executables.
$!
$  cword :== $cword$root:[EXES]CWORD.EXE
$  breakdic :== $cword$root:[EXES]BREAKDIC.EXE
$!
$  exit
